# 10. Mutācija: ģenerēt "Rastra karti" asinhroni

Ģenerēt "RasterMap" priekš "Lauks" **asinhroni**.

{% hint style="info" %}
Asinhronā pieeja liek uzdevumu (Ģenerēt `ģenerētRasteraAnalīzesKartes`) apstrādāt, un Abonements tiks saņemts, tiklīdz apstrāde būs pabeigta.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutācija GenerateRasterMapAsync {
  ģenerētRasteraAnalīzesKartesAsync(ievade: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<vietturis_satellītbilde_uuid_2>"
    ]
    indekss: NDVI
  }) {    
    uuid 
    fieldUuid
    statusaKods  
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/10.-mutacija-generet-rastra-karti-asinhroni.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
